<?php
/**
 * CedCommerce
  *
  * NOTICE OF LICENSE
  *
  * This source file is subject to the End User License Agreement (EULA)
  * that is bundled with this package in the file LICENSE.txt.
  * It is also available through the world-wide-web at this URL:
  * http://cedcommerce.com/license-agreement.txt
  *
  * @category  Ced
  * @package   Ced_LayBuy
  * @author    CedCommerce Core Team <connect@cedcommerce.com >
  * @copyright Copyright CEDCOMMERCE (http://cedcommerce.com/)
  * @license   https://cedcommerce.com/license-agreement.txt
  */

namespace Ced\LayBuy\Model\System\Config\Source;
 
class FetchingSchedule
{
    
    
    /**
     * Retrieve Option values array
     *
     * @return array
     */
    public function toOptionArray()
    {  
        $options = [];
        $options[] = ['value' => '1', 'label'=>__('Daily')];
        $options[] = ['value' => '2', 'label'=>__('Every 2 days')];
        $options[] = ['value' => '7', 'label'=>__('Every 7 days')];
        $options[] = ['value' => '30', 'label'=>__('Every 30 days')];
        return $options;        
    }

}
