
define(
    [
        'Magento_Checkout/js/view/payment/default',
        'mage/url'
    ],
    function (Component, url) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'Ced_LayBuy/payment/laybuy'
            },
            
            redirectAfterPlaceOrder: false,
            
            /**
             * After place order callback
             */
            afterPlaceOrder: function () {
                window.location.replace(url.build('laybuy/standard/redirect'));
            },
            
            /**
             * Returns payment method instructions.
             *
             * @return {*}
             */
            gethtml: function () {
                return window.checkoutConfig.payment.laybuy.laybuyhtml;
            }
            
        });
    }
);